Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 483648

Summary: =media-libs/opencv-2.4.6.1 builds against qt4 but uses moc from qt5 -> poof, bang, crash ☹
Product: Gentoo Linux Reporter: tman <cornicx>
Component: [OLD] KDEAssignee: Andreas K. Hüttel <dilfridge>
Status: RESOLVED FIXED    
Severity: normal CC: b.buschinski, daniel, devurandom, josef64, kde, pyxlcy
Priority: Normal Keywords: PMASKED
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 454132    
Attachments: /var/tmp/portage/media-libs/opencv-2.4.6.1/temp/build.log
patch to fix opencv build if Qt5(core) is installed
opencv-2.4.6.1.ebuild-qt4-fix.patch

Description tman 2013-09-05 00:57:37 UTC
Built target opencv_video
/var/tmp/portage/media-libs/opencv-2.4.6.1/work/opencv-2.4.6.1_build/modules/highgui/src/moc_window_QT.cxx: In member function ‘virtual const QMetaObject* DefaultViewPort::metaObject() const’:
/var/tmp/portage/media-libs/opencv-2.4.6.1/work/opencv-2.4.6.1_build/modules/highgui/src/moc_window_QT.cxx:928:1: error: control reaches end of non-void function [-Werror=return-type]
/var/tmp/portage/media-libs/opencv-2.4.6.1/work/opencv-2.4.6.1_build/modules/highgui/src/moc_window_QT.cxx: In member function ‘virtual const QMetaObject* CvWindow::metaObject() const’:
/var/tmp/portage/media-libs/opencv-2.4.6.1/work/opencv-2.4.6.1_build/modules/highgui/src/moc_window_QT.cxx:801:1: error: control reaches end of non-void function [-Werror=return-type]
/var/tmp/portage/media-libs/opencv-2.4.6.1/work/opencv-2.4.6.1_build/modules/highgui/src/moc_window_QT.cxx: In member function ‘virtual const QMetaObject* CvWinProperties::metaObject() const’:
/var/tmp/portage/media-libs/opencv-2.4.6.1/work/opencv-2.4.6.1_build/modules/highgui/src/moc_window_QT.cxx:722:1: error: control reaches end of non-void function [-Werror=return-type]
/var/tmp/portage/media-libs/opencv-2.4.6.1/work/opencv-2.4.6.1_build/modules/highgui/src/moc_window_QT.cxx: In member function ‘virtual const QMetaObject* CvTrackbar::metaObject() const’:
/var/tmp/portage/media-libs/opencv-2.4.6.1/work/opencv-2.4.6.1_build/modules/highgui/src/moc_window_QT.cxx:646:1: error: control reaches end of non-void function [-Werror=return-type]
/var/tmp/portage/media-libs/opencv-2.4.6.1/work/opencv-2.4.6.1_build/modules/highgui/src/moc_window_QT.cxx: In member function ‘virtual const QMetaObject* CvRadioButton::metaObject() const’:
/var/tmp/portage/media-libs/opencv-2.4.6.1/work/opencv-2.4.6.1_build/modules/highgui/src/moc_window_QT.cxx:554:1: error: control reaches end of non-void function [-Werror=return-type]
/var/tmp/portage/media-libs/opencv-2.4.6.1/work/opencv-2.4.6.1_build/modules/highgui/src/moc_window_QT.cxx: In member function ‘virtual const QMetaObject* CvCheckBox::metaObject() const’:
/var/tmp/portage/media-libs/opencv-2.4.6.1/work/opencv-2.4.6.1_build/modules/highgui/src/moc_window_QT.cxx:467:1: error: control reaches end of non-void function [-Werror=return-type]
/var/tmp/portage/media-libs/opencv-2.4.6.1/work/opencv-2.4.6.1_build/modules/highgui/src/moc_window_QT.cxx: In member function ‘virtual const QMetaObject* CvPushButton::metaObject() const’:
/var/tmp/portage/media-libs/opencv-2.4.6.1/work/opencv-2.4.6.1_build/modules/highgui/src/moc_window_QT.cxx:380:1: error: control reaches end of non-void function [-Werror=return-type]
/var/tmp/portage/media-libs/opencv-2.4.6.1/work/opencv-2.4.6.1_build/modules/highgui/src/moc_window_QT.cxx: In member function ‘virtual const QMetaObject* CvButtonbar::metaObject() const’:
/var/tmp/portage/media-libs/opencv-2.4.6.1/work/opencv-2.4.6.1_build/modules/highgui/src/moc_window_QT.cxx:302:1: error: control reaches end of non-void function [-Werror=return-type]
/var/tmp/portage/media-libs/opencv-2.4.6.1/work/opencv-2.4.6.1_build/modules/highgui/src/moc_window_QT.cxx: In member function ‘virtual const QMetaObject* GuiReceiver::metaObject() const’:
/var/tmp/portage/media-libs/opencv-2.4.6.1/work/opencv-2.4.6.1_build/modules/highgui/src/moc_window_QT.cxx:226:1: error: control reaches end of non-void function [-Werror=return-type]
cc1plus: some warnings being treated as errors
make[2]: *** [modules/highgui/CMakeFiles/opencv_highgui.dir/src/moc_window_QT.cxx.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[1]: *** [modules/highgui/CMakeFiles/opencv_highgui.dir/all] Error 2
make: *** [all] Error 2
 * ERROR: media-libs/opencv-2.4.6.1::gentoo failed (compile phase):
 *   emake failed
 * 
 * If you need support, post the output of `emerge --info '=media-libs/opencv-2.4.6.1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=media-libs/opencv-2.4.6.1::gentoo'`.
 * The complete build log is located at '/var/log/portage/media-libs:opencv-2.4.6.1:20130905-005332.log'.
 * For convenience, a symlink to the build log is located at '/var/tmp/portage/media-libs/opencv-2.4.6.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-libs/opencv-2.4.6.1/temp/environment'.
 * Working directory: '/var/tmp/portage/media-libs/opencv-2.4.6.1/work/opencv-2.4.6.1_build'
 * S: '/var/tmp/portage/media-libs/opencv-2.4.6.1/work/opencv-2.4.6.1'
!!! When you file a bug report, please include the following information:
GENTOO_VM=icedtea-bin-7  CLASSPATH="" JAVA_HOME="/opt/icedtea-bin-7.2.4.1"
JAVACFLAGS="-source 1.6 -target 1.6" COMPILER=""
and of course, the output of emerge --info =opencv-2.4.6.1



Reproducible: Always
Comment 1 tman 2013-09-05 00:58:30 UTC
Created attachment 357890 [details]
/var/tmp/portage/media-libs/opencv-2.4.6.1/temp/build.log

Portage 2.2.1 (default/linux/amd64/13.0/desktop, gcc-4.7.3, glibc-2.17, 3.11.0-gentoo x86_64)
=================================================================
System uname: Linux-3.11.0-gentoo-x86_64-Intel-R-_Core-TM-_i7-3740QM_CPU_@_2.70GHz-with-gentoo-2.2
KiB Mem:    24696216 total,  21616944 free
KiB Swap:   25081852 total,  25081852 free
Timestamp of tree: Thu, 05 Sep 2013 00:30:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.5-r2, 3.2.5-r2, 3.3.2-r2
dev-util/cmake:           2.8.11.1
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6, 1.14
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.7.3
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r5::gnome
sys-kernel/linux-headers: 3.11 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo qt mva gnome Techwolf luman wavilen lokal
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=corei7 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/X11/Sessions/awesome /etc/X11/Sessions/dwm /etc/conf.d/consolefont /etc/conf.d/hostname /etc/conf.d/hwclock /etc/conf.d/keymaps /etc/default/grub /etc/eix-sync.conf /etc/fstab /etc/hosts /etc/locale.gen /etc/make.conf /etc/timezone /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=corei7 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE.UTF-8"
LC_ALL=""
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
Comment 2 Bernd Buschinski 2013-09-05 18:17:03 UTC
isn't the real error

/var/tmp/portage/media-libs/opencv-2.4.6.1/work/opencv-2.4.6.1_build/modules/highgui/src/moc_window_QT.cxx:15:2: error: #error "This file was generated using the moc from 5.1.0. It"
/var/tmp/portage/media-libs/opencv-2.4.6.1/work/opencv-2.4.6.1_build/modules/highgui/src/moc_window_QT.cxx:16:2: error: #error "cannot be used with the include files from this version of Qt."
/var/tmp/portage/media-libs/opencv-2.4.6.1/work/opencv-2.4.6.1_build/modules/highgui/src/moc_window_QT.cxx:17:2: error: #error "(The moc has changed too much.)"

?

and therefore a Qt5 error?
Comment 3 Andreas K. Hüttel gentoo-dev 2013-09-06 16:53:26 UTC
Is Qt5 installed on your system?
Comment 4 Bernd Buschinski 2013-09-06 17:29:21 UTC
Yes, on mine.
And getting the same exact error.

$ qlist -ICv dev-qt
dev-qt/assistant-4.8.5
dev-qt/designer-4.8.5
dev-qt/designer-5.1.0
dev-qt/qt3support-4.8.5
dev-qt/qtcore-4.8.5
dev-qt/qtcore-5.1.0
dev-qt/qtdbus-4.8.5
dev-qt/qtdbus-5.1.0
dev-qt/qtdeclarative-4.8.5
dev-qt/qtdeclarative-5.1.0
dev-qt/qtdemo-4.8.5-r1
dev-qt/qtgraphicaleffects-5.1.0
dev-qt/qtgui-4.8.5
dev-qt/qtgui-5.1.0
dev-qt/qthelp-4.8.5-r2
dev-qt/qtjsbackend-5.1.0
dev-qt/qtmultimedia-4.8.5
dev-qt/qtmultimedia-5.1.0
dev-qt/qtnetwork-5.1.0
dev-qt/qtopengl-4.8.5
dev-qt/qtopengl-5.1.0
dev-qt/qtprintsupport-5.1.0
dev-qt/qtscript-4.8.5
dev-qt/qtsql-4.8.5
dev-qt/qtsql-5.1.0
dev-qt/qtsvg-4.8.5
dev-qt/qttest-4.8.5
dev-qt/qttest-5.1.0
dev-qt/qtwebkit-4.8.5
dev-qt/qtwebkit-5.1.0
dev-qt/qtwidgets-5.1.0
dev-qt/qtxml-5.1.0
dev-qt/qtxmlpatterns-4.8.5
dev-qt/qtxmlpatterns-5.1.0


$ emerge --info
Portage 2.2.1 (default/linux/amd64/13.0/desktop/kde, gcc-4.7.3, glibc-2.17, 3.10.9-aufs x86_64)
=================================================================
System uname: Linux-3.10.9-aufs-x86_64-AMD_Phenom-tm-_II_X4_945_Processor-with-gentoo-2.2
KiB Mem:     6115064 total,    174560 free
KiB Swap:    3911792 total,   3862696 free
Timestamp of tree: Fri, 06 Sep 2013 09:30:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 3.1.9 [enabled]
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.5-r2, 3.3.2-r2
dev-util/ccache:          3.1.9
dev-util/cmake:           2.8.11.2::kde
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6, 1.13.4, 1.14
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.7.3
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.11 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo x11 qt toolchain sunrise emg-overlay gamerlay multimedia kde local-b-overlay
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA Q3AEULA RTCW-ETEULA ut2003 dlj-1.1 skype-eula googleearth AdobeFlash-10 AdobeFlash-10.1 Broadcom QUAKE4 PUEL Oracle-BCLA-JavaSE MakeMKV-EULA AdobeFlash-10.3 skype-4.0.0.7-copyright AdobeFlash-11.x NVIDIA-CUDA Q3AEULA-20000111"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -g -fno-builtin-memcmp"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe -g -fno-builtin-memcmp"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/x11 /var/lib/layman/qt /var/lib/layman/toolchain /var/lib/layman/sunrise /var/lib/layman/crossdev /var/lib/layman/gamerlay /var/lib/layman/multimedia /var/lib/layman/kde /usr/local/portage"
USE="3dnow 3dnowext 7zip X X509 a52 aac aacplus aacs acl acpi addressbook adobe-cff aio alac alias alisp alsa alstream amd64 amr amrnb amrwb aoss apng aspell ass assistant async attica audiofile avi bash-completion bdf berkdb bitmap-fonts bl blender-game browserplugin bs2b bullet bzip2 c++0x cairo calendar cdda cddb cdio cdparanoia cdr cg cli colorio connectionstatus consolekit contactnotes corefonts cracklib crypt cuda cups curl cxx cycles dbus dcc_video declarative devfs-compat device-mapper dga dia dirac djbfft djvu dlloader dot dri dts dtslive dv dvb dvd dvdnav dvdread ebook edd enca encode exceptions exif expat expoblending extraengine faac faad fam fame ffmpeg ffmpeg-mt fftw file flac fluidsynth font-server fontconfig fontforge foomaticdb fortran frei0r ftp gadu gd gdbm geoip geolocation ggi gif gimp glew glib glut gmm gmp gnutls gphoto2 gpm gpu graphite graphviz groupwise gs gstreamer hash hdri highlight history hpijs htmlreport iconv icu id3tag ieee1394 imagemagick imlib inotify instagib ios ipod ipv6 irc jingle joystick jpeg jpeg2k kate kde kdehiddenvisibility kernel-patch kipi kpathsea lame lastfm latex lcms lensfun libass libmms libsamplerate libv4l2 llvm-gcc lm_sensors logitech-mouse lto lua lyx lzma lzo mad maps matroska md5sum mdnsresponder-compat mhash midi mikmod minizip mjpeg mmap mmx mmxext mng mod modplug modules moonlight mp2 mp3 mp3tunes mp4 mpeg mplayer mudflap multilib multimedia musepack musicbrainz mysql mysqli nas ncurses nemesi netmeeting network nfsv4 nis nowin nowlistening nptl nptlonly nsplugin nspluginwrapper ntfsprogs nut nuv nvidia offlinehelp ogg oggvorbis old-hd-rules openal opencl opencore-amr openctl openexr opengl opengtl openmp opus oscar osmesa oss otr pam pango panorama pascal pch pcre pcre16 pdf phonon plasma png pnm policykit postgres ppds pth qalculate qscintilla qt qt3support qt4 qthelp quicktime rar readline real redcode redeyes redland reviewboard romio rss rtc rtf rtmp samba sametime sasl sasl2 satamv schroedinger sdl semantic-desktop session sift simage skey skype slang slp smp sndfile soundex speex spell sql sqlite sqlite3 srt srtp sse sse2 sse3 ssl startup-notification statistics stats steamruntime stl strigi svg taglib tcpd teamarena teletext templates texteffect tga theora threads threadsafe tiff timidity tokyocabinet translator truetype tunepimp twolame type3 udev udisks unicode upcall upnp upower usb userlocales utempter utils v4l v4l2 vamp vcd vdpau vdr vorbis vpx webkit webp webpresence winbind wmf word-perfect wpd wpg wxwidgets x264 xanim xcb xchatdccserver xkb xml xml2 xmp xpm xv xvid xvmc yv12 zeroconf zlib zoran zvbi" ABI_X86="64" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="stage tables words krita sheets flow karbon kexi" CAMERAS="canon ptp2 fuji jd11 jl2005a jl2005c" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" GRUB_PLATFORMS="pc multiboot qemu" INPUT_DEVICES="keyboard mouse evdev wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de en en_GB" LIRC_DEVICES="hauppauge hauppauge_dvb" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby20" USERLAND="GNU" VIDEO_CARDS="nv nvidia vesa v4l none" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON
Comment 5 Andreas K. Hüttel gentoo-dev 2013-09-06 17:44:12 UTC
OK this may take some time to figure out.
Comment 6 Bernd Buschinski 2013-09-23 15:00:19 UTC
Created attachment 359296 [details, diff]
patch to fix opencv build if Qt5(core) is installed

this patches fixes the opencv build for me if Qt5 is present.
NOTE: as current gentoo does not have a Qt5 concurrent package, opencv will never successfully detect Qt5

Then opencv tries to find Qt4, and cmake FindQt4.cmake uses find_program to find the bins. But as Qt5 was partically found and some vars already have values.
For example QT_MOC_EXECUTABLE.

And http://www.cmake.org/cmake/help/cmake2.6docs.html#command:find_program
says... 
"If the program is found the result is stored in the variable and the search will not be repeated unless the variable is cleared."

so MOC will still have the old(Qt5) value.


So just clear all(Qt4 relevant) bin vars before the Qt4 try.
Comment 7 Richard Grenville 2013-09-27 03:41:48 UTC
Created attachment 359584 [details, diff]
opencv-2.4.6.1.ebuild-qt4-fix.patch

Alternatively, simply passing `-DWITH_QT=4` instead of `-DWITH_QT=ON` seemingly works as well.
Comment 8 Dennis Schridde 2014-01-24 23:06:38 UTC
Persists in media-libs/opencv-2.4.8
Comment 9 Andreas K. Hüttel gentoo-dev 2014-01-24 23:58:25 UTC
Sync in a while, should be fixed.
Comment 10 Dennis Schridde 2014-01-25 12:32:32 UTC
(In reply to Andreas K. Hüttel from comment #9)
> Sync in a while, should be fixed.

Confirming: Fixed